summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Samuel Young2023-03-21 05:52:54 +0100
committer Willy Sudiarto Raharjo2023-03-25 04:01:49 +0100
commitef9a70731464feb2683c901e2c95ba1afc2007de (patch)
treefb16ebbae817e68ba9f6698f75e0b7217d5fb8da
parent041bf313021658288e736a2baa7c1ae1805100bc (diff)
downloadslackbuilds-ef9a70731464feb2683c901e2c95ba1afc2007de.tar.gz
network/ytfzf: Added (Script to watch youtube from the terminal)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/ytfzf/README10
-rw-r--r--network/ytfzf/slack-desc19
-rw-r--r--network/ytfzf/ytfzf.SlackBuild102
-rw-r--r--network/ytfzf/ytfzf.info10
4 files changed, 141 insertions, 0 deletions
diff --git a/network/ytfzf/README b/network/ytfzf/README
new file mode 100644
index 0000000000..f59764d458
--- /dev/null
+++ b/network/ytfzf/README
@@ -0,0 +1,10 @@
+ytfzf (Script to watch youtube videos from the terminal)
+
+ytfzf is a script to search, download and play YouTube videos by
+making use of mpv and youtube-dl under the hood. ytfzf also features
+support for video history, allows choosing the media format and can
+yqueue multiple tracks.
+
+Optional dependencies include dmenu for the -D option and ueberzug
+for thumbnails on X11. Alternative thumbnail viewers include chafa,
+imv, mpv, and kitty, though they require special configuration to use.
diff --git a/network/ytfzf/slack-desc b/network/ytfzf/slack-desc
new file mode 100644
index 0000000000..29e4106c93
--- /dev/null
+++ b/network/ytfzf/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ytfzf: ytfzf (Script to watch youtube videos from the terminal)
+ytfzf:
+ytfzf: ytfzf is a script to search, download and play YouTube videos by
+ytfzf: making use of mpv and youtube-dl under the hood. ytfzf also features
+ytfzf: support for video history, allows choosing the media format and can
+ytfzf: queue multiple tracks.
+ytfzf:
+ytfzf: Homepage: https://github.com/pystardust/ytfzf
+ytfzf:
+ytfzf:
+ytfzf:
diff --git a/network/ytfzf/ytfzf.SlackBuild b/network/ytfzf/ytfzf.SlackBuild
new file mode 100644
index 0000000000..998f991a4d
--- /dev/null
+++ b/network/ytfzf/ytfzf.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/bash
+
+# Slackware build script for ytfzf
+
+# Copyright 2023 Samuel Young, MO, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=ytfzf
+VERSION=${VERSION:-2.5.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make PREFIX=/usr DESTDIR=$PKG install doc
+
+mv $PKG/usr/share/man $PKG/usr/man
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/examples
+mv $PKG/usr/share/doc/ytfzf/conf.sh $PKG/usr/doc/$PRGNAM-$VERSION/examples
+rm -R $PKG/usr/share/doc
+mv $PKG/usr/share/licenses/ytfzf/LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+rm -R $PKG/usr/share/licenses
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $TMP/$PRGNAM-$VERSION/README.md > $PKG/usr/doc/$PRGNAM-$VERSION/README
+cat $TMP/$PRGNAM-$VERSION/CONTRIBUTING.md > $PKG/usr/doc/$PRGNAM-$VERSION/CONTRIBUTING
+cat $TMP/$PRGNAM-$VERSION/docs/subscriptions > $PKG/usr/doc/$PRGNAM-$VERSION/examples/subscriptions
+mkdir -p $PKG/usr/share/ytfzf
+cp -r $TMP/$PRGNAM-$VERSION/addons $PKG/usr/share/ytfzf/addons
+chmod +x $PKG/usr/share/ytfzf/addons/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/ytfzf/ytfzf.info b/network/ytfzf/ytfzf.info
new file mode 100644
index 0000000000..fd68c2c904
--- /dev/null
+++ b/network/ytfzf/ytfzf.info
@@ -0,0 +1,10 @@
+PRGNAM="ytfzf"
+VERSION="2.5.5"
+HOMEPAGE="https://github.com/pystardust/ytfzf"
+DOWNLOAD="https://github.com/pystardust/ytfzf/archive/v2.5.5/ytfzf-2.5.5.tar.gz"
+MD5SUM="1f0290006143f2c8d9b4470c67a2a27b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="fzf jq mpv yt-dlp"
+MAINTAINER="Samuel Young"
+EMAIL="samyoung12788@gmail.com"